# Yaml

This parser parses yaml to and from the Tolq api format.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'tolq-parsers-yaml'
```

And then execute:

```shell
  $ bundle
```
Or install it yourself as:

```shell
  $ gem install tolq-parsers-yaml
```

## Usage

To parse to the tolq format:

```ruby
yaml = File.open('myyaml.yml', 'rb', &:read)
parser = Tolq::Parsers::Yaml::Parser.new(quality: 'standard')
parser.parse(yaml)
```

And to unparse from the tolq format back to yaml:

```ruby
unparser = Tolq::Parsers::Yaml::Unparser.new
unparser.unparse(tolq_api_response)
```
## Development

Pointers:

* Keep in-code documentation up to date, document all public methods, and use YARD
* Write y'r tests
* Keep readme up to date
* Make PRs, not war

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/tolq/parsers/xliff. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

